dyld: unknown required load command

Hey guys,

I’ve got an app I’ve built for OSX that works on almost every computer I’ve tried it on running OS 10.6.x and 10.7.x.

I’ve found a machine that wont run the app, and shows this when I run in the terminal:
dyld: unknown required load command 0x80000022
Trace/BPT trap

Any idea on how I can get more details? This happens with both a debug and release builds.

There is a libfmodex.dylib in this folder:
appname.app/Contents/MacOS

which I think may be the issue, but I haven’t found anything solid yet.

Any help appreciated!
Steve

What version of OSX is the machine that doesn’t work? It sounds like a dynamic linking problem.